import ApiModel from "~/models/ApiModel";
import {Bool, Str, Uid} from "pinia-orm/dist/decorators";

/**
 * AP2i Model : NotificationUser
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/Entity/Core/NotificationUser.php
 */
export default class NotificationUsers extends ApiModel {
  static entity = 'notification_users'

  @Uid()
  declare id: number | string | null

  @Str(null)
  declare notification: string|null

  @Str(null)
  declare access: string|null

  @Bool(false)
  declare isRead: boolean
}
